# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'tutorial5Ui.ui'
#
# Created by: PyQt5 UI code generator 5.15.1
#
# WARNING: Any manual changes made to this file will be lost when pyuic5 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt5 import QtCore, QtGui, QtWidgets


class Ui_MainWindow(object):
    def setupUi(self, MainWindow):
        MainWindow.setObjectName("MainWindow")
        MainWindow.resize(800, 600)
        self.centralwidget = QtWidgets.QWidget(MainWindow)
        self.centralwidget.setObjectName("centralwidget")

        self.photo1 = QtWidgets.QLabel(self.centralwidget)
        self.photo1.setGeometry(QtCore.QRect(190, 40, 371, 401))
        self.photo1.setText("")
        self.photo1.setPixmap(QtGui.QPixmap("../../../Pictures/32L496 images/ron-and-rod.png"))
        self.photo1.setScaledContents(True)
        self.photo1.setObjectName("photo1")

        self.pushButtonBlago = QtWidgets.QPushButton(self.centralwidget)
        self.pushButtonBlago.setGeometry(QtCore.QRect(24, 480, 211, 51))
        self.pushButtonBlago.setObjectName("pushButtonBlago")
        self.pushButtonOtto = QtWidgets.QPushButton(self.centralwidget)
        self.pushButtonOtto.setGeometry(QtCore.QRect(470, 480, 221, 51))
        self.pushButtonOtto.setObjectName("pushButtonOtto")

        MainWindow.setCentralWidget(self.centralwidget)
        self.menubar = QtWidgets.QMenuBar(MainWindow)
        self.menubar.setGeometry(QtCore.QRect(0, 0, 800, 21))
        self.menubar.setObjectName("menubar")
        MainWindow.setMenuBar(self.menubar)
        self.statusbar = QtWidgets.QStatusBar(MainWindow)
        self.statusbar.setObjectName("statusbar")
        MainWindow.setStatusBar(self.statusbar)

        self.retranslateUi(MainWindow)
        QtCore.QMetaObject.connectSlotsByName(MainWindow)

        self.pushButtonBlago.clicked.connect(self.showRonWithBlago)
        self.pushButtonOtto.clicked.connect(self.showOttoSoldier)

    def retranslateUi(self, MainWindow):
        _translate = QtCore.QCoreApplication.translate
        MainWindow.setWindowTitle(_translate("MainWindow", "MainWindow"))
        self.pushButtonBlago.setText(_translate("MainWindow", "Ron with Blago"))
        self.pushButtonOtto.setText(_translate("MainWindow", "Otto Soldier"))

    def showRonWithBlago(self):
        self.photo1.setPixmap(QtGui.QPixmap("img/ron-and-rod.png"))

    def showOttoSoldier(self):
        self.photo1.setPixmap(QtGui.QPixmap("img/ottoSoldier.png"))


if __name__ == "__main__":
    import sys
    app = QtWidgets.QApplication(sys.argv)
    MainWindow = QtWidgets.QMainWindow()
    ui = Ui_MainWindow()
    ui.setupUi(MainWindow)
    MainWindow.show()
    sys.exit(app.exec_())
